Subject: Re: libgit2 - a true git library

From: Jakub Narebski <[email-masked]>
Date: Fri, 31 Oct 2008 16:56:51 -0700 (PDT)

"Shawn O. Pearce" <[email-masked]> writes:
> Junio C Hamano <[email-masked]> wrote:

> > Although no license asks this, my wish is that if somebody built on top of
> > what I wrote to make the world a better place, I'd like the same access to
> > that additional code so that I too can enjoy the improved world.  Because
> > almost all of my code in git.git are under GPLv2, in reality I do not have
> > any access to your software as long as you do not distribute your
> > additional code that made the world a better place, which is a bit sad.
> 
> IMHO, its a flaw of the GPL.  GitHub anyone?  Heck, even Google uses
> a lot of GPL'd software internally (yes, we have Linux desktops and
> servers) but not all of the software we distribute internally goes
> external, so not all of our patches are published.  *sigh*
> 
> I've actually stayed awake at night sometimes wondering what the
> world would be like if the GPL virual clause forced the source code
> for a website to be opened, or forced you to publish your code
> even if you never distribute binaries beyond "you" (where "you"
> is some mega corp in many countries with many employees).

There is such license, and it is called AGPLv3, Affero GPL[1].

And of course Google prohibits (or did prohibit) using it for projects
hosted at Google Code... wonder why... ;-)

[1] http://en.wikipedia.org/wiki/AGPL
-- 
Jakub Narebski
Poland
ShadeHawk on #git